Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008759opensim[GRID] Robust Serverpublic2020-08-30 06:512020-09-05 08:18
Reporternixnerd 
Assigned Tonixnerd 
PrioritynormalSeverityblockReproducibilityalways
StatusresolvedResolutionfixed 
PlatformlinuxOSubuntu server OS Version18.04 LTS
Product Version0.9.1.0 
Target VersionFixed in Version 
Summary0008759: commit 4b91a93389 2020-08-28 23:41:34 +0100 blocks all sim's registering with Robust
Descriptioncommit 4b91a93389 2020-08-28 23:41:34 +0100 blocks all sim's registering with Robust
Additional InformationReverting back to e36619c9f5 2020-08-23 05:38:11 +0100 seems to resolve the issue
TagsNo tags attached.
Git Revision or version number2.17.1
Run Mode Grid (1 Region per Sim)
Physics EngineubODE
Script EngineXEngine
EnvironmentMono / Linux64
Mono Version6.x
Viewerfirestorm beta
Attached Files

- Relationships

-  Notes
(0036752)
UbitUmarov (administrator)
2020-08-30 07:26

could not repo
(0036759)
tampa (reporter)
2020-08-31 08:06

Can we get a bit more data here? Some logs?
(0036760)
nixnerd (reporter)
2020-08-31 14:12
edited on: 2020-08-31 14:14

2020-08-30 14:23:26,674 ERROR - OpenSim.Services.Connectors.GridServicesConnector [GRID CONNECTOR]: Registration failed: when contacting http://britgrid.com:8003/grid [^]

Unfortunately, I'd cleared the Robust log.

I'll try it again, next week-end and include the log files that are created

(0036761)
tampa (reporter)
2020-08-31 16:07

That error says robust, that has changed over the course of those two commits, but there are quire a few. I suspect it might have something to do with the GetRegionByHandle method that was changed or it may be something else entirely. On current master I could not reproduce the issue either.
(0036765)
nixnerd (reporter)
2020-09-01 14:36
edited on: 2020-09-01 14:37

We also use gloebits and diva wifi, but I somehow doubt that has anything to do with it.

But, we'll see :)

(0036766)
BillBlight (developer)
2020-09-01 14:37

There was an issue with the older gloebit dll and the new dev code ..
(0036767)
BillBlight (developer)
2020-09-01 14:39

Both fest and my personal grid, and dev outreach run the latest master code, and cannot replicate this issue ..

Also using the newer Gloebit.dll
(0036768)
BillBlight (developer)
2020-09-01 14:46

There is a good possibility that it could be Diva WiFi, as it was not ever "officially" updated for 0.9.2 and quite a few things have changed ..
(0036769)
BillBlight (developer)
2020-09-01 15:35

I'm going to go out on a limb here and say it is Diva, considering it will not compile against the current dev master ..
(0036770)
nixnerd (reporter)
2020-09-01 16:12

I do like it, when I see ppl doing some good limb going, thanks Bill, I'll take that into consideration :)
(0036771)
BillBlight (developer)
2020-09-01 18:39

False alarm , it will build against master , if you clean your build dir ..
(0036772)
aiaustin (developer)
2020-09-02 07:59
edited on: 2020-09-02 08:00

Yes Bill.. Diva Wifi is unchanged between 0.9.1.1 (her last formal release) and dev master and needs no change. Its working fine in my grids and in DreamGrid grids.

(0036774)
tampa (reporter)
2020-09-02 09:35

line 105 of GridServicesConnector has some commented debug line in there for the request I guess, could cherry pick that commit and build with that uncommented to see what it sends, maybe that gives a hint to the failure. Else I guess stuff the reply out to m_log as well. Without more logs can't do much if it cannot be reproduced.

Is current master not working either? Have you updated past the "faulty" commit?
(0036775)
nixnerd (reporter)
2020-09-02 09:47
edited on: 2020-09-02 09:49

Ah, that's good to know tampa, I can certainly try that. Meanwhile Bills been kind enough to give me a recent build of Diva Wifi, so I'll certainly try that this coming weekend.

I've not tried anything more recent than commit e36619c9f5 tampa, since trying commit 4b91a93389 but willdo again at the week-end.

(0036778)
nixnerd (reporter)
2020-09-05 08:18

Marking as resolved - update from commit e36619c9f5 to ec54942719 went flawlessly.

- Issue History
Date Modified Username Field Change
2020-08-30 06:51 nixnerd New Issue
2020-08-30 07:26 UbitUmarov Note Added: 0036752
2020-08-31 08:06 tampa Note Added: 0036759
2020-08-31 14:12 nixnerd Note Added: 0036760
2020-08-31 14:14 nixnerd Note Edited: 0036760 View Revisions
2020-08-31 16:07 tampa Note Added: 0036761
2020-09-01 14:36 nixnerd Note Added: 0036765
2020-09-01 14:37 nixnerd Note Edited: 0036765 View Revisions
2020-09-01 14:37 BillBlight Note Added: 0036766
2020-09-01 14:39 BillBlight Note Added: 0036767
2020-09-01 14:46 BillBlight Note Added: 0036768
2020-09-01 15:35 BillBlight Note Added: 0036769
2020-09-01 16:12 nixnerd Note Added: 0036770
2020-09-01 18:39 BillBlight Note Added: 0036771
2020-09-02 07:59 aiaustin Note Added: 0036772
2020-09-02 08:00 aiaustin Note Edited: 0036772 View Revisions
2020-09-02 09:35 tampa Note Added: 0036774
2020-09-02 09:47 nixnerd Note Added: 0036775
2020-09-02 09:48 nixnerd Note Edited: 0036775 View Revisions
2020-09-02 09:49 nixnerd Note Edited: 0036775 View Revisions
2020-09-05 08:18 nixnerd Note Added: 0036778
2020-09-05 08:18 nixnerd Status new => resolved
2020-09-05 08:18 nixnerd Resolution open => fixed
2020-09-05 08:18 nixnerd Assigned To => nixnerd


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker